<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\Domain\Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="FluentValidation" Version="*" />
    <PackageReference Include="FluentValidation.DependencyInjectionExtensions" Version="*" />
    <PackageReference Include="MediatR" Version="*" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="*" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="*" />
  </ItemGroup>

</Project>
